#include <bits/stdc++.h>

using namespace std;

bool provera(long long a, long long b){
    if(a == b)
        return true;
    else
        return false;
}

bool razvali(long long a, long long b, int& x, int& y){
    for(int i = 2;i <= sqrt(a);i++){
        if(a%i == 0){
            x = i;
            y = a/i;
            if(provera(x^y, b))
                return true;
        }
    }
    return false;
}

int main(){
    ios::sync_with_stdio(false);
    long long a, b;
    int t;
    cin >> t;
    int x, y;
    for(int i = 0;i < t;i++){
        cin >> a >> b;
        if(razvali(a, b, x, y))
            cout << x << " " << y << '\n';
        else
            cout << "-1";
    }
    return 0;
}